/*CLI delete variable node:
   CLI:  delete var;
   Actor:  deleteVariable(parent, varname); */!!

inherit(Object, #CLIDelVarNode, #(varName), 2, nil)!!

now(class(CLIDelVarNode))!!

now(CLIDelVarNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("setCliStatusValue(self, ");
  CLICodeCompile("deleteVariable(self, "+doubleQuoteString(CLIUtilities));
  CLICodeCompile(varName);
  CLICodeCompile(doubleQuoteString(CLIUtilities)+")) ");
}!!

Def init(self, string)
{
  varName := string;
}!!
